
# GENERAL

input {
	kb_layout	= us,rs
	kb_variant	= ,yz
	kb_options	= caps:escape,grp:win_space_toggle

	follow_mouse = 1

	repeat_rate	  = 50
	repeat_delay  = 300
	numlock_by_default	= 1

	force_no_accel = true

	touchpad {
		scroll_factor	= 0.4
		natural_scroll	= false
		tap-to-click	= true
		tap-and-drag	= true
		disable_while_typing = true
	}
}

$LAPTOP_KB_ENABLED = true
device {
	name = at-translated-set-2-keyboard
	enabled = $LAPTOP_KB_ENABLED
}

cursor {
	use_cpu_buffer = true
}

general {
	col.inactive_border	= 0xff45475a
	col.active_border	= rgba(cba6f7ff) rgba(89b4faff) rgba(94e2d5ff) 10deg

	gaps_in	  = 7
	gaps_out  = 14

	layout		= dwindle
	border_size = 0
	resize_on_border = true

	no_border_on_floating = true
	allow_tearing = false
}


gestures {
	workspace_swipe			= true
	workspace_swipe_fingers = 3
}


misc {
	vrr = 1
	swallow_regex	= ^(Alacritty|kitty|footclient|com.mitchellh.ghostty)$
	enable_swallow	= 1
	disable_hyprland_logo = true
}

xwayland {
	enabled = true
}


